Bullet Collision Detection & Physics Library: InterleavedContactSolverLoop Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
InterleavedContactSolverLoop Struct Reference
Inheritance diagram for InterleavedContactSolverLoop:
[legend]
Collaboration diagram for InterleavedContactSolverLoop:
[legend]

## Public Member Functions
| InterleavedContactSolverLoop (btSequentialImpulseConstraintSolverMt *solver, const btBatchedConstraints *bc)
btScalar | sumLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelSumBody
virtual | ~btIParallelSumBody ()
virtual btScalar | sumLoop (int iBegin, int iEnd) const =0

## Public Attributes
btSequentialImpulseConstraintSolverMt * | m_solver
const btBatchedConstraints * | m_bc

## Detailed Description

Definition at line 1323 of file btSequentialImpulseConstraintSolverMt.cpp.

## Constructor & Destructor Documentation

## ◆ InterleavedContactSolverLoop()

InterleavedContactSolverLoop::InterleavedContactSolverLoop | ( | btSequentialImpulseConstraintSolverMt * | solver,
|  | const btBatchedConstraints * | bc
| ) |  |
| inline

Definition at line 1328 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Function Documentation

## ◆ sumLoop()

btScalar InterleavedContactSolverLoop::sumLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelSumBody.

Definition at line 1333 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Data Documentation

## ◆ m_bc

const btBatchedConstraints* InterleavedContactSolverLoop::m_bc

Definition at line 1326 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_solver

btSequentialImpulseConstraintSolverMt* InterleavedContactSolverLoop::m_solver

Definition at line 1325 of file btSequentialImpulseConstraintSolverMt.cpp.

The documentation for this struct was generated from the following file:

- btSequentialImpulseConstraintSolverMt.cpp